/**********************************************************************
 * This file is part of Adempiere ERP Bazaar                          *
 * http://www.adempiere.org                                           *
 *                                                                    *
 * Copyright (C) Trifon Trifonov.                                     *
 * Copyright (C) Contributors                                         *
 *                                                                    *
 * This program is free software, you can redistribute it and/or      *
 * modify it under the terms of the GNU General Public License        *
 * as published by the Free Software Foundation, either version 2     *
 * of the License, or (at your option) any later version.             *
 *                                                                    *
 * This program is distributed in the hope that it will be useful,    *
 * but WITHOUT ANY WARRANTY, without even the implied warranty of     *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the       *
 * GNU General Public License for more details.                       *
 *                                                                    *
 * You should have received a copy of the GNU General Public License  *
 * along with this program, if not, write to the Free Software        *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,         *
 * MA 02110-1301, USA.                                                *
 *                                                                    *
 * Contributors:                                                      *
 * - Trifon Trifonov (trifonnt@users.sourceforge.net)                 *
 *                                                                    *
 * Sponsors:                                                          *
 * - Company (http://www.site.com)                                    *
 **********************************************************************/
package org.compiere.model;

import java.math.BigDecimal;
import org.compiere.util.KeyNamePair;

/** Generated Interface for C_RevenueRecognition
 *  @author Adempiere (generated) 
 *  @version Release 3.5.2a
 */
public interface I_C_RevenueRecognition 
{

    /** TableName=C_RevenueRecognition */
    public static final String Table_Name = "C_RevenueRecognition";

    /** AD_Table_ID=336 */
    public static final int Table_ID = MTable.getTable_ID(Table_Name);

    KeyNamePair Model = new KeyNamePair(Table_ID, Table_Name);

    /** AccessLevel = 3 - Client - Org 
     */
    BigDecimal accessLevel = BigDecimal.valueOf(3);

    /** Load Meta Data */

    /** Column name C_RevenueRecognition_ID */
    public static final String COLUMNNAME_C_RevenueRecognition_ID = "C_RevenueRecognition_ID";

	/** Set Revenue Recognition.
	  * Method for recording revenue
	  */
	public void setC_RevenueRecognition_ID (int C_RevenueRecognition_ID);

	/** Get Revenue Recognition.
	  * Method for recording revenue
	  */
	public int getC_RevenueRecognition_ID();

    /** Column name Description */
    public static final String COLUMNNAME_Description = "Description";

	/** Set Description.
	  * Optional short description of the record
	  */
	public void setDescription (String Description);

	/** Get Description.
	  * Optional short description of the record
	  */
	public String getDescription();

    /** Column name IsTimeBased */
    public static final String COLUMNNAME_IsTimeBased = "IsTimeBased";

	/** Set Time based.
	  * Time based Revenue Recognition rather than Service Level based
	  */
	public void setIsTimeBased (boolean IsTimeBased);

	/** Get Time based.
	  * Time based Revenue Recognition rather than Service Level based
	  */
	public boolean isTimeBased();

    /** Column name Name */
    public static final String COLUMNNAME_Name = "Name";

	/** Set Name.
	  * Alphanumeric identifier of the entity
	  */
	public void setName (String Name);

	/** Get Name.
	  * Alphanumeric identifier of the entity
	  */
	public String getName();

    /** Column name NoMonths */
    public static final String COLUMNNAME_NoMonths = "NoMonths";

	/** Set Number of Months	  */
	public void setNoMonths (int NoMonths);

	/** Get Number of Months	  */
	public int getNoMonths();

    /** Column name RecognitionFrequency */
    public static final String COLUMNNAME_RecognitionFrequency = "RecognitionFrequency";

	/** Set Recognition frequency	  */
	public void setRecognitionFrequency (String RecognitionFrequency);

	/** Get Recognition frequency	  */
	public String getRecognitionFrequency();
}
